
NODE foo {
	name "bar"
	desc "bar"
	WORD barf REAL ... {
		desc	"barfage"
		func	foo_barf
	}
	WORD bax REAL {
		desc	"barfage"
		func	foo_bax
	}
	EXTERN pic18 pic18_config {
		desc	"pic18 stuff"
		setup	foo_setup
	}
}

INSTANCE pic18 UINT {
	desc    "pic18 microcontroller"
	new     pic18_new 
	destroy pic18_destroy
	name	pic18_config
	walk	pic18_walk
	INSTANCE pin UINT {
		desc    "pin number [1...]"
		new    	pic18_pin_new
		destroy	pic18_pin_destroy
		walk	pic18_pin_walk
		WORD type ENUM { 
				ain
				din
				aout
				dout
				counter
				} {
			desc    "type [ain,din,aout,dout,counter]"
			func    pic18_type
		}
	}
	WORD serial WORD {
		desc    "serial device name"
		func    pic18_serial
	}
	WORD command STRING {
		desc    "issue command to pic18f"
		func    pic18_command
	}
	WORD multiple UINT INT {
		desc	"something"
		func	pic18_multiple
	}

	NODE nested {
		WORD nest1 INT {
			func pic18_nest1
			desc	"nested word"
		}
		WORD nest2 STRING {
			func pic18_nest2
			desc	"another nested word"
		}
		desc	"nested"
	}

	WORD none {
		desc	"nothing"
		name	pic18_none
		func	pic18_none
	}
}
