/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <phk@FreeBSD.ORG> wrote this file.  As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.   Poul-Henning Kamp
 * ----------------------------------------------------------------------------
 * $Id: config.c,v 1.7 2007/02/21 12:27:41 phk Exp $
 *
 * Parse the configuration and get things going.
 *
 */

#include <stdio.h>
#include <string.h>
#include "configkit.h"
#include "configkit_int.h"

int
__ck_call(CK_ARG)
{

	if (cfa->flag != 0) {
		/* nothing */
	} else if (!strcmp(cfa->tok[0], "no")) {
		cfa->flag = CK_NO;
		cfa->tok++;
	} else if (!strcmp(cfa->tok[0], "show")) {
		cfa->flag = CK_SHOW;
		cfa->tok++;
	} else if (!strcmp(cfa->tok[0], "conf")) {
		cfa->flag = CK_CONF;
		cfa->tok++;
	} else if (!strcmp(cfa->tok[0], "help")) {
		cfa->flag = CK_HELP;
		cfa->tok++;
	}
	if (cfa->tok[0] == NULL && !(cfa->flag & (CK_HELP|CK_CONF)))
		return (0);
	cfa->priv = NULL;
	return (__ck_follow(cfa, cfa->cft->nodes));
}

