#include <stdio.h>

#include "ckc.h"

const unsigned short ct[256] = {
	['\n'] = CT_VWHITE,
	['\t'] = CT_HWHITE,
	[' '] = CT_HWHITE,
	['_'] = CT_UNDER,
	['0'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['1'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['2'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['3'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['4'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['5'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['6'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['7'] = CT_HEX | CT_DIGIT | CT_OCTAL,
	['8'] = CT_HEX | CT_DIGIT,
	['9'] = CT_HEX | CT_DIGIT,
	['A'] = CT_HEX | CT_ALPHA,
	['B'] = CT_HEX | CT_ALPHA,
	['C'] = CT_HEX | CT_ALPHA,
	['D'] = CT_HEX | CT_ALPHA,
	['E'] = CT_HEX | CT_ALPHA | CT_PPNEXP,
	['F'] = CT_HEX | CT_ALPHA,
	['G'] =          CT_ALPHA,
	['H'] =          CT_ALPHA,
	['I'] =          CT_ALPHA,
	['J'] =          CT_ALPHA,
	['K'] =          CT_ALPHA,
	['L'] =          CT_ALPHA,
	['M'] =          CT_ALPHA,
	['N'] =          CT_ALPHA,
	['O'] =          CT_ALPHA,
	['P'] =          CT_ALPHA | CT_PPNEXP,
	['Q'] =          CT_ALPHA,
	['R'] =          CT_ALPHA,
	['S'] =          CT_ALPHA,
	['T'] =          CT_ALPHA,
	['U'] =          CT_ALPHA,
	['V'] =          CT_ALPHA,
	['W'] =          CT_ALPHA,
	['X'] =          CT_ALPHA,
	['Y'] =          CT_ALPHA,
	['Z'] =          CT_ALPHA,
	['a'] = CT_HEX | CT_ALPHA,
	['b'] = CT_HEX | CT_ALPHA,
	['c'] = CT_HEX | CT_ALPHA,
	['d'] = CT_HEX | CT_ALPHA,
	['e'] = CT_HEX | CT_ALPHA | CT_PPNEXP,
	['f'] = CT_HEX | CT_ALPHA,
	['g'] =          CT_ALPHA,
	['h'] =          CT_ALPHA,
	['i'] =          CT_ALPHA,
	['j'] =          CT_ALPHA,
	['k'] =          CT_ALPHA,
	['l'] =          CT_ALPHA,
	['m'] =          CT_ALPHA,
	['n'] =          CT_ALPHA,
	['o'] =          CT_ALPHA,
	['p'] =          CT_ALPHA | CT_PPNEXP,
	['q'] =          CT_ALPHA,
	['r'] =          CT_ALPHA,
	['s'] =          CT_ALPHA,
	['t'] =          CT_ALPHA,
	['u'] =          CT_ALPHA,
	['v'] =          CT_ALPHA,
	['w'] =          CT_ALPHA,
	['x'] =          CT_ALPHA,
	['y'] =          CT_ALPHA,
	['z'] =          CT_ALPHA,
};
