/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <phk@FreeBSD.ORG> wrote this file.  As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.   Poul-Henning Kamp
 * ----------------------------------------------------------------------------
 * $Id: configtree.c,v 1.5 2005/08/25 09:25:59 phk Exp $
 *
 * Parse the configuration and get things going.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include "configkit.h"
#include "configkit_int.h"

struct ck_tree *
ck_TreeNew(void)
{
	struct ck_tree *cft;

	cft = calloc(sizeof *cft, 1);
	return (cft);
}

void
ck_TreeAdd(struct ck_tree *cft, struct __ck_node *n)
{

	cft->nodes = realloc(cft->nodes,
	    (sizeof *cft->nodes) * (cft->nnodes + 2));
	cft->nodes[cft->nnodes++] = n;
	cft->nodes[cft->nnodes] = NULL;
}
